package com.ejie.ab79.model.actuaciones;


import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import java.util.Date;

/**
 * DesResAct  
 *  
 */

public class DesResAct  implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
            private Integer idDesResAct;
            private String descripcionCastellano;
            private String descripcionEuskera;
            private Date fechaRegistro;
            private String usuarioRegistro;

	/** 
	 * Method 'DesResAct'.
	 */
    public DesResAct() {
    }


	
    
    /** 
     * Method 'DesResAct'.
     * @param idDesResAct Integer
     */    
     public DesResAct(Integer idDesResAct) {
          this.idDesResAct = idDesResAct;
	}

    

    /** 
     * Method 'DesResAct'.
     * @param idDesResAct Integer
     * @param descripcionCastellano String
     * @param descripcionEuskera String
     * @param baja Integer
     * @param fechaRegistro Date
     * @param usuarioRegistro String
     * @param fechaUltmodificacion Date
     * @param usuarioUltmodificacion String
     */
   public DesResAct(Integer idDesResAct, String descripcionCastellano, String descripcionEuskera, Date fechaRegistro, String usuarioRegistro) {	

           this.idDesResAct = idDesResAct;
           this.descripcionCastellano = descripcionCastellano;
           this.descripcionEuskera = descripcionEuskera;
           this.fechaRegistro = fechaRegistro;
           this.usuarioRegistro = usuarioRegistro;
    }

    /**
	 * Method 'getIdDesResAct'.
	 *
	 * @return Integer
	 */
	
	
	public Integer getIdDesResAct() {
		return this.idDesResAct;
	}

	/**
	 * Method 'setIdDesResAct'.
	 *
	 * @param idDesResAct Integer
	 * @return
     */
	
	public void setIdDesResAct(Integer idDesResAct) {
		this.idDesResAct = idDesResAct;
	}
    /**
	 * Method 'getDescripcionCastellano'.
	 *
	 * @return String
	 */
	
	
	public String getDescripcionCastellano() {
		return this.descripcionCastellano;
	}

	/**
	 * Method 'setDescripcionCastellano'.
	 *
	 * @param descripcionCastellano String
	 * @return
     */
	
	public void setDescripcionCastellano(String descripcionCastellano) {
		this.descripcionCastellano = descripcionCastellano;
	}
    /**
	 * Method 'getDescripcionEuskera'.
	 *
	 * @return String
	 */
	
	
	public String getDescripcionEuskera() {
		return this.descripcionEuskera;
	}

	/**
	 * Method 'setDescripcionEuskera'.
	 *
	 * @param descripcionEuskera String
	 * @return
     */
	
	public void setDescripcionEuskera(String descripcionEuskera) {
		this.descripcionEuskera = descripcionEuskera;
	}
	
    /**
	 * Method 'getFechaRegistro'.
	 *
	 * @return java.util.Date
	 */
	
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRegistro() {
		return this.fechaRegistro;
	}

	/**
	 * Method 'setFechaRegistro'.
	 *
	 * @param fechaRegistro java.util.Date
	 * @return
     */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}
    /**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */
	
	
	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro String
	 * @return
     */
	
	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { " ); 
		result.append(" [ idDesResAct: ").append(this.idDesResAct).append(" ]");
		result.append(", [ descripcionCastellano: ").append(this.descripcionCastellano).append(" ]");
		result.append(", [ descripcionEuskera: ").append(this.descripcionEuskera).append(" ]");
		result.append(", [ fechaRegistro: ").append(this.fechaRegistro).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append("}");
		return result.toString();
	}


}

